$kind: http-request
url: "{{Local_URL}}procurement/purchase_requests/43e41c2e-cd3b-44f5-af0b-a3454f\
  cc4698"
method: PUT
headers:
  username: textugapp
  apiKey: db03834002ed60dfa53963cc66bbeeb730142a16fd1bbbb6e1ebca862a798359
body:
  type: json
  content: "{\r

    \    \"title\":\"Tranvel to tanzania\",\r

    \    \"procurement_type\": \"Direct\", //Direct/Indirect enum\r

    \    \"requisition_date\": \"2025-11-10\",\r

    \    \"required_by_date\": \"2025-12-25\",\r

    \    \"priority\": \"High\",\r

    \    \"requested_by\": \"a90e96f8-5240-41ff-93a3-527b7a30e568\",\r

    \    \"department_id\": \"0652dd89-ce44-40df-999a-9c730377730e\",\r

    \    \"budget_id\": \"5e2a3f1e-9dad-4101-9013-8fb7a6ee26ba\",\r

    \    \"attachments\": [\r

    \        \"requisition_docs/specifications.pdf\",\r

    \        \"requisition_docs/quotation_estimate.xlsx\"\r

    \    ],\r

    \    \"purpose\": \"To procure new laptops for the IT department to replace
    outdated equipment.\",\r

    \    \"special_instructions\": \"Please prioritize suppliers with at least
    2-year warranty on all devices.\",\r

    \    \"items\": [\r

    \        {\r

    \            \"item_id\": \"e7c25a51-1a9f-4286-909e-bd7e7320b242\",\r

    \            \"item_type\": \"Item\",//Item,Services,Works\r

    \            \"item_name\": \"Dell Latitude 5540 Laptop\",\r

    \            \"description\": \"Dell Latitude 5540 Laptop\",\r

    \            \"quantity\": 10,\r

    \            \"uom_id\": \"c1fbbef1-fd54-4a5e-bb1e-b17b92c1a700\",\r

    \            \"currency_id\": \"1bc781e6-98d3-46b9-8a95-178ba5b6128e\",\r

    \            \"exchange_rate\": 1.0,\r

    \            \"estimated_unit_price\": 4000.00,\r

    \            \"specification\": \"Intel i7, 16GB RAM, 512GB SSD, 15.6-inch
    display\",\r

    \            \"budget_item_id\": \"0a9ca52c-0a7f-4c06-afb3-6143422c5476\",\r

    \            \"item_delivery_date\": \"2025-12-11\"\r

    \        }\r

    \    ]\r

    }\r\n"
auth:
  type: bearer
  credentials:
    token: "{{ERP_Local_Token}}"
order: 6000
